## org.apache.maven.plugins.site
Class SiteDescriptorAttachMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.apache.maven.plugins.site.AbstractSiteMojo
              org.apache.maven.plugins.site.SiteDescriptorAttachMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class SiteDescriptorAttachMojo

extends AbstractSiteMojo

Adds the site descriptor (`site.xml`) to the list of files to be installed/deployed.

Version:
  $Id: SiteDescriptorAttachMojo.java 751418 2009-03-08 13:27:17Z dennisl $
Author:
  Brett Porter

Field Summary

Fields inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`i18n, locales, localRepository, project, reactorProjects, siteDirectory, siteTool`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`SiteDescriptorAttachMojo()`

Method Summary
`void` `execute()`

Methods inherited from class org.apache.maven.plugins.site.AbstractSiteMojo
`getInputEncoding, getOutputEncoding, populateReportItems, toRelative`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteDescriptorAttachMojo

    public SiteDescriptorAttachMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2011. All Rights Reserved.